# Class: SimpleList

## M_.SimpleList()

A simple list "à la Apple"

## Constructor

#### new SimpleList()

##### Properties:

Name | Type | Description
--- | --- | ---
`classItems` | type |
`itemValue` | type |
`itemKey` | type |
`selectionVisible` | type |
`multipleSelection` | type |
`currentSelection` | type |
`dynamic` | type |
`lineHeight` | type |
`loadLimit` | type |
`itemsDraggableTo` | type |

### Extends

- M_.List

### Methods

#### create() → {type}

Overrides:
  - M_.List#create

##### Returns:

Type
  type

#### destroy()

Destroy the outlet

Inherited From:
  - M_.Outlet#destroy

#### enterViewable(evt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | type |

##### Returns:

Type
  type

#### findEl(selector) → {jQuery}

Search a class or selector in the container, like $.find()

##### Parameters:

Name | Type | Description
--- | --- | ---
`selector` | string |

Inherited From:
  - M_.Outlet#findEl

##### Returns:

Type
  jQuery

#### getEl() → {jquery}

Return jEl element. Generally the main object.

Inherited From:
  - M_.Outlet#getEl

##### Returns:

the main jQuery element

Type
  jquery

#### getSelection() → {type}

##### Returns:

Type
  type

#### leaveViewable(evt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | type |

##### Returns:

Type
  type

#### moveViewable(evt) → {type}

##### Parameters:

Name | Type | Description
--- | --- | ---
`evt` | type |

##### Returns:

Type
  type

#### render() → {type}

Overrides:
  - M_.List#render

##### Returns:

Type
  type

#### setSelection(m_id)

##### Parameters:

Name | Type | Description
--- | --- | ---
`m_id` | type |

#### updateStore() → {type}

Overrides:
  - M_.List#updateStore

##### Returns:

Type
  type